Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkCellDerivatives Class Reference

`#include <vtkCellDerivatives.h>`

Inheritance diagram for vtkCellDerivatives:

[legend]
Collaboration diagram for vtkCellDerivatives:

[legend]
List of all members.

## Detailed Description

compute derivatives of scalars and vectors

Date:
  2002/01/22 15:29:10

Revision:
  1.17

vtkCellDerivatives is a filter that computes derivatives of scalars and vectors at the center of cells. You can choose to generate different output including the scalar gradient (a vector), computed tensor vorticity (a vector), gradient of input vectors (a tensor), and strain matrix of the input vectors (a tensor); or you may choose to pass data through to the output.

Note that it is assumed that on input scalars and vector point data is available, which are then used to generate cell vectors and tensors. (The interpolation functions of the cells are used to compute the derivatives which is why point data is required.)

Warning:
  The computed derivatives are cell attribute data; you can convert them to point attribute data by using the vtkCellDataToPointData filter. Note that, due to the interpolation function used (obtained using 1/r**2 normalized sum), the derivatives calculated for polygons with more than 4 vertices are inaccurate in most cases.

Warning:
  The point data is passed through the filter to the output.

See also:
  vtkVectorNorm

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (78%)
  - Geveci, Berk (11%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkCellDerivatives.h)`
  - .`cxx` (`/Graphics/vtkCellDerivatives.cxx)`

Tests:
  vtkCellDerivatives (Tests)

Definition at line 75 of file vtkCellDerivatives.h.

## Public Types
typedef vtkDataSetToDataSetFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetVectorMode (int)
virtual int | GetVectorMode ()
void | SetVectorModeToPassVectors ()
void | SetVectorModeToComputeGradient ()
void | SetVectorModeToComputeVorticity ()
const char * | GetVectorModeAsString ()
virtual void | SetTensorMode (int)
virtual int | GetTensorMode ()
void | SetTensorModeToPassTensors ()
void | SetTensorModeToComputeGradient ()
void | SetTensorModeToComputeStrain ()
const char * | GetTensorModeAsString ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkCellDerivatives * | SafeDownCast (vtkObject *o)
vtkCellDerivatives * | New ()
## Protected Methods
| vtkCellDerivatives ()
| ~vtkCellDerivatives ()
void | Execute ()
## Protected Attributes
int | VectorMode
int | TensorMode

## Member Typedef Documentation

typedef vtkDataSetToDataSetFilter vtkCellDerivatives::Superclass

| Reimplemented from vtkDataSetToDataSetFilter. Definition at line 78 of file vtkCellDerivatives.h.

## Constructor & Destructor Documentation

vtkCellDerivatives::vtkCellDerivatives | ( |  | ) | `[protected]`

vtkCellDerivatives::~vtkCellDerivatives | ( |  | ) | `[inline, protected]`

| Definition at line 120 of file vtkCellDerivatives.h.

## Member Function Documentation

virtual const char* vtkCellDerivatives::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToDataSetFilter.

int vtkCellDerivatives::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

virtual int vtkCellDerivatives::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

vtkCellDerivatives* vtkCellDerivatives::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToDataSetFilter.

void vtkCellDerivatives::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToDataSetFilter.

vtkCellDerivatives* vtkCellDerivatives::New | ( |  | ) | `[static]`

| Construct to compute the gradient of the scalars and vectors. Reimplemented from vtkObject.

virtual void vtkCellDerivatives::SetVectorMode | ( | int |  | ) | `[virtual]`

| Control how the filter works to generate vector cell data. You can choose to pass the input cell vectors, compute the gradient of the input scalars, or extract the vorticity of the computed vector gradient tensor. By default (VectorModeToComputeGradient), the filter will take the gradient of the input scalar data.

virtual int vtkCellDerivatives::GetVectorMode | ( |  | ) | `[virtual]`

| Control how the filter works to generate vector cell data. You can choose to pass the input cell vectors, compute the gradient of the input scalars, or extract the vorticity of the computed vector gradient tensor. By default (VectorModeToComputeGradient), the filter will take the gradient of the input scalar data.

void vtkCellDerivatives::SetVectorModeToPassVectors | ( |  | ) | `[inline]`

| Control how the filter works to generate vector cell data. You can choose to pass the input cell vectors, compute the gradient of the input scalars, or extract the vorticity of the computed vector gradient tensor. By default (VectorModeToComputeGradient), the filter will take the gradient of the input scalar data. Definition at line 92 of file vtkCellDerivatives.h. References VTK_VECTOR_MODE_PASS_VECTORS.

void vtkCellDerivatives::SetVectorModeToComputeGradient | ( |  | ) | `[inline]`

| Control how the filter works to generate vector cell data. You can choose to pass the input cell vectors, compute the gradient of the input scalars, or extract the vorticity of the computed vector gradient tensor. By default (VectorModeToComputeGradient), the filter will take the gradient of the input scalar data. Definition at line 94 of file vtkCellDerivatives.h. References VTK_VECTOR_MODE_COMPUTE_GRADIENT.

void vtkCellDerivatives::SetVectorModeToComputeVorticity | ( |  | ) | `[inline]`

| Control how the filter works to generate vector cell data. You can choose to pass the input cell vectors, compute the gradient of the input scalars, or extract the vorticity of the computed vector gradient tensor. By default (VectorModeToComputeGradient), the filter will take the gradient of the input scalar data. Definition at line 96 of file vtkCellDerivatives.h. References VTK_VECTOR_MODE_COMPUTE_VORTICITY.

const char* vtkCellDerivatives::GetVectorModeAsString | ( |  | ) |

| Control how the filter works to generate vector cell data. You can choose to pass the input cell vectors, compute the gradient of the input scalars, or extract the vorticity of the computed vector gradient tensor. By default (VectorModeToComputeGradient), the filter will take the gradient of the input scalar data.

virtual void vtkCellDerivatives::SetTensorMode | ( | int |  | ) | `[virtual]`

| Control how the filter works to generate tensor cell data. You can choose to pass the input cell tensors, compute the gradient of the input vectors, or compute the strain tensor of the vector gradient tensor. By default (TensorModeToComputeGradient), the filter will take the gradient of the vector data to construct a tensor.

virtual int vtkCellDerivatives::GetTensorMode | ( |  | ) | `[virtual]`

| Control how the filter works to generate tensor cell data. You can choose to pass the input cell tensors, compute the gradient of the input vectors, or compute the strain tensor of the vector gradient tensor. By default (TensorModeToComputeGradient), the filter will take the gradient of the vector data to construct a tensor.

void vtkCellDerivatives::SetTensorModeToPassTensors | ( |  | ) | `[inline]`

| Control how the filter works to generate tensor cell data. You can choose to pass the input cell tensors, compute the gradient of the input vectors, or compute the strain tensor of the vector gradient tensor. By default (TensorModeToComputeGradient), the filter will take the gradient of the vector data to construct a tensor. Definition at line 109 of file vtkCellDerivatives.h. References VTK_TENSOR_MODE_PASS_TENSORS.

void vtkCellDerivatives::SetTensorModeToComputeGradient | ( |  | ) | `[inline]`

| Control how the filter works to generate tensor cell data. You can choose to pass the input cell tensors, compute the gradient of the input vectors, or compute the strain tensor of the vector gradient tensor. By default (TensorModeToComputeGradient), the filter will take the gradient of the vector data to construct a tensor. Definition at line 111 of file vtkCellDerivatives.h. References VTK_TENSOR_MODE_COMPUTE_GRADIENT.

void vtkCellDerivatives::SetTensorModeToComputeStrain | ( |  | ) | `[inline]`

| Control how the filter works to generate tensor cell data. You can choose to pass the input cell tensors, compute the gradient of the input vectors, or compute the strain tensor of the vector gradient tensor. By default (TensorModeToComputeGradient), the filter will take the gradient of the vector data to construct a tensor. Definition at line 113 of file vtkCellDerivatives.h. References VTK_TENSOR_MODE_COMPUTE_STRAIN.

const char* vtkCellDerivatives::GetTensorModeAsString | ( |  | ) |

| Control how the filter works to generate tensor cell data. You can choose to pass the input cell tensors, compute the gradient of the input vectors, or compute the strain tensor of the vector gradient tensor. By default (TensorModeToComputeGradient), the filter will take the gradient of the vector data to construct a tensor.

void vtkCellDerivatives::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

int vtkCellDerivatives::VectorMode`[protected]`

| Definition at line 123 of file vtkCellDerivatives.h.

int vtkCellDerivatives::TensorMode`[protected]`

| Definition at line 124 of file vtkCellDerivatives.h.

The documentation for this class was generated from the following file:

- Graphics/vtkCellDerivatives.h